Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezinstallscriptpackageinstaller.php
Go to the documentation of this file.
1 <?php
16 class eZInstallScriptPackageInstaller extends eZPackageInstallationHandler
17 {
22 public function __construct( $package, $type, $installItem, $name = null, $steps = null )
23 {
24 }
25
29 function packageInitialState( $package, &$persistentData )
30 {
31 return 'stable';
32 }
33
34 function customInstallHandlerInfo( $package, $installItem )
35 {
36 $return = array();
37
38 $itemPath = $package->path() . '/' . $installItem['sub-directory'];
39 $xmlPath = $itemPath . '/' . $installItem['filename'] . '.xml';
40
41 $dom = $package->fetchDOMFromFile( $xmlPath );
42 if ( $dom )
43 {
44 $mainNode = $dom->documentElement;
45 $return['file-path'] = $itemPath . '/' . $mainNode->getAttribute( 'filename' );
46 $return['classname'] = $mainNode->getAttribute( 'classname' );
47 }
48
49 return $return;
50 }
51
52 function stepTemplate( $package, $installItem, $step )
53 {
54 $itemPath = $package->path() . '/' . $installItem['sub-directory'];
55 $stepTemplatePath = $itemPath . '/templates';
56
57 return array( 'name' => $step['template'],
58 'path' => $stepTemplatePath );
59 }
60 }
61 ?>
eZInstallScriptPackageInstaller
Definition: ezinstallscriptpackageinstaller.php:17
eZInstallScriptPackageInstaller\customInstallHandlerInfo
customInstallHandlerInfo( $package, $installItem)
Definition: ezinstallscriptpackageinstaller.php:34
eZInstallScriptPackageInstaller\packageInitialState
packageInitialState( $package, &$persistentData)
Definition: ezinstallscriptpackageinstaller.php:29
eZInstallScriptPackageInstaller\__construct
__construct( $package, $type, $installItem, $name=null, $steps=null)
Definition: ezinstallscriptpackageinstaller.php:22
eZInstallScriptPackageInstaller\stepTemplate
stepTemplate( $package, $installItem, $step)
Definition: ezinstallscriptpackageinstaller.php:52
eZPackageInstallationHandler
The class eZPackageInstallationHandler does.
Definition: ezpackageinstallationhandler.php:19
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.